org.apache.xalan.transformer

## Class TreeWalker2Result

- java.lang.Object
- - org.apache.xml.dtm.ref.DTMTreeWalker
  - - org.apache.xalan.transformer.TreeWalker2Result

    public class TreeWalker2Result
    extends DTMTreeWalker

Handle a walk of a tree, but screen out attributes for the result tree.

Usage:
  **For internal use only**

### Constructor Summary

Constructors
Constructor and Description
`TreeWalker2Result(TransformerImpl transformer, SerializationHandler handler)` Constructor.

### Method Summary

Methods
`void` `traverse(int pos)` Perform a pre-order traversal non-recursive style.

### Methods inherited from class org.apache.xml.dtm.ref.DTMTreeWalker

`getcontentHandler, setcontentHandler, setDTM, traverse`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeWalker2Result

    public TreeWalker2Result(TransformerImpl transformer,
                     SerializationHandler handler)

Constructor.

Parameters:
  `transformer` - Non-null transformer instance
  `handler` - The Result tree handler to use

### Method Detail

#### traverse

    public void traverse(int pos)
                  throws SAXException

Perform a pre-order traversal non-recursive style.

Overrides:
  `traverse` in class `DTMTreeWalker`
Parameters:
  `pos` - Start node for traversal
Throws:
  `TransformerException`
  `SAXException`